diff2patches(1)

BEZEICHNUNG

diff2patches - extrahiert non-debian/-Patches aus .diff.gz-Dateien.

SYNTAX

diff2patches Dateiname
diff2patches --help|--version

BESCHREIBUNG

extrahiert Patches aus .diff.gz, die auf Dateien außerhalb des Bereichs des »debian/«-Verzeichnisses angewendet werden. Ein Patch wird für jede geänderte Datei erstellt. Jeder Patch ist entsprechend des Pfads der geänderten Datei benannt, wobei »/« durch »___« ersetzt und eine ».patch«-Erweiterung angehängt wird.

OPTIONEN

Dateiname
    extrahiert Patches aus Dateiname, die außerhalb des Bereichs des »debian/«-Verzeichnisses Anwendung finden.

--help
    gibt Hilfsinformationen aus und beendet sich.

--version
    gibt Versionsinformationen aus und beendet sich.

DATEIEN

debian/control
    Die Existenz dieser Datei wird überprüft, bevor der Patch extrahiert wird.

debian/
debian/patches/
    Patches werden in eines dieser Verzeichnisse extrahiert, vorzugsweise nach »debian/patches/«, falls es existiert. Falls DEB_PATCHES in der Umgebung vorliegt, wird es dieses Verhalten außer Kraft setzen (siehe den Abschnitt »UMGEBUNGSVARIABLEN« weiter unten).

UMGEBUNGSVARIABLEN

DEB_PATCHES
    Wenn dies definiert ist und auf ein existierendes Verzeichnis zeigt, werden Patches in dieses Verzeichnis und weder unter »debian/« noch unter »debian/patches/« extrahiert.

SIEHE AUCH

combinediff(1)

AUTOR

Raphael Geissert <atomo64@gmail.com>

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.